xmltooling 3.2.4

Public Member Functions | Public Attributes | List of all members
xmltooling::SOAPTransport::Address Struct Reference

A simple structure to capture SOAP addressing information. More...

`#include <xmltooling/soap/SOAPTransport.h>`

## Public Member Functions
| Address (const char *from, const char *to, const char *endpoint)
| Constructor.

## Public Attributes
const char * | m_from
| Name of sender.
const char * | m_to
| Name of recipient.
const char * | m_endpoint
| Endpoint URL.

## Detailed Description

A simple structure to capture SOAP addressing information.

## Constructor & Destructor Documentation

## ◆ Address()

xmltooling::SOAPTransport::Address::Address | ( | const char * | from,
|  | const char * | to,
|  | const char * | endpoint )
| inline

Constructor.

Parameters

  from | name of sender
  to | name of recipient
  endpoint | endpoint URL

The documentation for this struct was generated from the following file:

- xmltooling/soap/SOAPTransport.h